---
title: Document.exitPointerLock()
slug: Web/API/Document/exitPointerLock
tags:
  - API
  - Experimental
  - Method
  - Reference
  - mouse lock
---
<div>{{APIRef("DOM")}} {{seeCompatTable}}</div>

<p>The <strong><code>exitPointerLock()</code></strong> method asynchronously releases a pointer lock previously requested through {{domxref("Element.requestPointerLock")}}.</p>

<p>To track the success or failure of the request, it is necessary to listen for the {{event("pointerlockchange")}} and {{event("pointerlockerror")}} events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">document.exitPointerLock();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Lock','#extensions-to-the-document-interface','Document')}}</td>
   <td>{{Spec2('Pointer Lock')}}</td>
   <td>Extend the <code>Document</code> interface</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.exitPointerLock")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("Document.pointerLockElement") }}</li>
 <li>{{ domxref("Element.requestPointerLock()") }}</li>
 <li><a href="/en-US/docs/Web/API/Pointer_Lock_API">Pointer Lock</a></li>
</ul>
